Package io.vertx.rxjava3.kafka.client.consumer

## Class KafkaConsumerRecord<K,​V>

- java.lang.Object
- - io.vertx.rxjava3.kafka.client.consumer.KafkaConsumerRecord<K,​V>

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class KafkaConsumerRecord<K,​V>
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Vert.x Kafka consumer record

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<KafkaConsumerRecord>` | `__TYPE_ARG` |
    `io.vertx.lang.rx.TypeArg<K>` | `__typeArg_0` |
    `io.vertx.lang.rx.TypeArg<V>` | `__typeArg_1` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `KafkaConsumerRecord​(KafkaConsumerRecord delegate)` |
    `KafkaConsumerRecord​(Object delegate, io.vertx.lang.rx.TypeArg<K> typeArg_0, io.vertx.lang.rx.TypeArg<V> typeArg_1)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object o)` |
    `KafkaConsumerRecord` | `getDelegate()` |
    `int` | `hashCode()` |
    `List<KafkaHeader>` | `headers()` |
    `K` | `key()` |
    `static <K,​V> KafkaConsumerRecord<K,​V>` | `newInstance​(KafkaConsumerRecord arg)` |
    `static <K,​V> KafkaConsumerRecord<K,​V>` | `newInstance​(KafkaConsumerRecord arg, io.vertx.lang.rx.TypeArg<K> __typeArg_K, io.vertx.lang.rx.TypeArg<V> __typeArg_V)` |
    `long` | `offset()` |
    `int` | `partition()` |
    `long` | `timestamp()` |
    `org.apache.kafka.common.record.TimestampType` | `timestampType()` |
    `String` | `topic()` |
    `String` | `toString()` |
    `V` | `value()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<KafkaConsumerRecord> __TYPE_ARG

    - #### __typeArg_0

          public final io.vertx.lang.rx.TypeArg<K> __typeArg_0

    - #### __typeArg_1

          public final io.vertx.lang.rx.TypeArg<V> __typeArg_1

  - ### Constructor Detail

    - #### KafkaConsumerRecord

          public KafkaConsumerRecord​(KafkaConsumerRecord delegate)

    - #### KafkaConsumerRecord

          public KafkaConsumerRecord​(Object delegate,
                                     io.vertx.lang.rx.TypeArg<K> typeArg_0,
                                     io.vertx.lang.rx.TypeArg<V> typeArg_1)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public KafkaConsumerRecord getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### topic

          public String topic()

      Returns:
        the topic this record is received from

    - #### partition

          public int partition()

      Returns:
        the partition from which this record is received

    - #### offset

          public long offset()

      Returns:
        the position of this record in the corresponding Kafka partition.

    - #### timestamp

          public long timestamp()

      Returns:
        the timestamp of this record

    - #### timestampType

          public org.apache.kafka.common.record.TimestampType timestampType()

      Returns:
        the timestamp type of this record

    - #### key

          public K key()

      Returns:
        the key (or null if no key is specified)

    - #### value

          public V value()

      Returns:
        the value

    - #### headers

          public List<KafkaHeader> headers()

      Returns:
        the list of consumer record headers

    - #### newInstance

          public static <K,​V> KafkaConsumerRecord<K,​V> newInstance​(KafkaConsumerRecord arg)

    - #### newInstance

          public static <K,​V> KafkaConsumerRecord<K,​V> newInstance​(KafkaConsumerRecord arg,
                                                                               io.vertx.lang.rx.TypeArg<K> __typeArg_K,
                                                                               io.vertx.lang.rx.TypeArg<V> __typeArg_V)